.checkout-product {
    display: flex;
    align-items: center;
    margin-bottom: 50px;

    &__image {
        width: 80px;
        display: block;
        overflow: hidden;
        border-radius: 10px;
    }

    &__content {
        padding-left: 20px;
        font-weight: 600;
        font-size: size-rel(18px);
        line-height: size-rel(20px);
    }

    &__text {
        margin-bottom: 10px;
    }

    &__title {
        color: $yellow;
        font-weight: 800;
    }

    @include media-breakpoint-up(md) {

        &__content {
            font-size: size-rel(32px);
            line-height: size-rel(34px);
        }
    }

    @include media-breakpoint-up(xl) {

        &__content {
            font-size: size-rel(36px);
            line-height: size-rel(40px);
        }
    }

}

.checkout-accordion {
    margin-bottom: 20px;

    &__header {
        display: flex;
        align-items: flex-start;
        font-size: size-rel(12px);
        line-height: size-rel(16px);
        border-radius: 30px;
        margin-bottom: 20px;
        padding: 1rem 1.5rem 1rem 1.5rem;
        border: 1px solid #EAEAEA;
        background-color: #F6F6F6;

        &--icon {
            height: 16px;

            svg {
                fill: $blue;
            }
        }

        &--text {
            padding-left: 10px;

            a {

            }
        }
    }

    &__content {
        border-radius: 5px;
        background: $white;

        &--outer {
            margin-top: 40px;
            padding: 20px 20px 36px 20px;
        }

        &--wrap {
        }
    }
}

.checkout {

    &__main {
    }

    &__login {
        margin-bottom: 60px;
    }

    &__payment {
        margin-bottom: 60px;
        padding: 20px 20px 40px 20px;
        border-radius: 20px;
        background-color: #EBE8EB;
    }

    &__code {
        margin-bottom: 60px;
    }

    &__skills {
        padding: 0 1rem;
        font-weight: 600;
        font-size: size-rel(10px);
        display: flex;
        justify-content: space-between;

        &--item {
            text-align: center;
        }

        &--icon {
            height: 34px;
            font-size: 0;
            line-height: 0;
            display: inline-block;
            margin-bottom: 8px;

            svg {
                fill: #C6C6C6;
            }
        }
    }

    &__order {
        padding: 1rem;
        margin-bottom: 36px;

        &--policy {
            margin-bottom: 1rem;
        }

        &--submit {

            .btn {
                width: 100%;
            }
        }
    }

    &__card {
        padding: 1em;
        border-bottom: 1px solid #d3ced2;
    }

    &__summary {
        width: 100%;
        font-size: size-rel(13px);
        margin-bottom: 44px;
        border-collapse: collapse;
        border: 1px solid rgba(0,0,0,.1);

        th {
            text-align: left;
            padding: .7rem 1.5rem;
            font-size: size-rel(14px);
            border-top: 1px solid rgba(0,0,0,.1);
        }

        td {
            padding: .7rem 1.5rem;
            border-top: 1px solid rgba(0,0,0,.1);
        }
    }

    &__steps {
        margin-bottom: 60px;
    }

    &__form {
        margin-bottom: 60px;
    }

    &__info {
        display: none;

        &--xs {
            display: block;
            margin-bottom: 60px;
        }
    }

    @include media-breakpoint-up(md) {

        &__payment {
            padding: 30px 30px 50px 30px;
        }

        &__skills {
            margin: 0 auto;
            max-width: 360px;
        }
    }

    @include media-breakpoint-up(lg) {
        display: flex;
        justify-content: space-between;

        &__info {
            display: none;

            &--xs {
                display: none;
            }

            &--lg {
                display: block;
            }
        }

        &__main {
            margin-bottom: 0;
            padding-top: 30px;
            width: calc(100% - 440px);
        }

        &__payment {
            width: 410px;
            margin-bottom: 0;
        }

        &__form {
            margin-bottom: 76px;
        }

        &__steps {
            margin-bottom: 60px;
        }

        &__order {

            &--submit {
                text-align: right;

                .btn {
                    width: auto;
                }
            }
        }
    }
}

.checkout-error {
    font-size: size-rel(12px);
    line-height: size-rel(24px);
    border-top: 1px solid $red;
    background-color: #f7f6f7;

    &__wrap {
        display: flex;
        align-items: flex-start;
        padding: 1rem 2rem 1rem 1rem;
    }

    &__icon {
        margin-top: 4px;
        font-size: 0;
        line-height: 0;
        height: 16px;
        flex-shrink: 0;

        svg {
            fill: $red;
        }
    }

    &__text {
        padding-left: 10px;
    }
}

.checkout-card {

    &__title {
        display: block;
        font-weight: 700;
        margin-bottom: 5px;
        font-size: size-rel(14px);
        line-height: size-rel(21px);
    }

    &__media {
        font-size: 0;
        line-height: 0;
        display: grid;
        margin-bottom: 1rem;
        grid-column-gap: 4px;
        grid-row-gap: 4px;
        grid-template-columns: 1fr 1fr 1fr 1fr 1fr 1fr;

        &--image {
            display: block;
        }
    }

    &__text {
        color: #515151;
        font-size: size-rel(12px);
        margin-bottom: 1rem;
    }

    &__form {
        border: 1px solid #ddd;
        margin: 0 0 5px 0;
        padding: 5px;
        background-color: #fff;
    }

    &__save {
        padding-top: 40px;
    }

    @include media-breakpoint-up(mg) {
        padding-bottom: 30px;
    }
}

.checkout-steps {
    position: relative;
    text-align: center;
    font-weight: 600;
    font-size: size-rel(10px);
    line-height: size-rel(12px);
    display: flex;
    justify-content: space-between;

    &:before {
        top: 15px;
        left: 40px;
        right: 40px;
        z-index: 1;
        content: '';
        height: 1px;
        position: absolute;
        background-color: #ececec;
    }

    &__item {
        z-index: 10;
        padding: 0 10px;
        position: relative;

        &--passed {
            color: $yellow;

            .checkout-steps__icon {
                background-color: $yellow;
            }
        }
    }

    &__icon {
        width: 32px;
        height: 32px;
        margin: 0 auto 15px auto;
        font-size: 0;
        line-height: 0;
        border-radius: 50%;
        display: flex;
        align-items: center;
        justify-content: center;
        background-color: #B4B4B4;

        &--box {
            height: 16px;
            display: inline-block;
        }

        svg {
            fill: $white;
        }
    }

    &__text {

    }

    @include media-breakpoint-up(md) {
        font-size: size-rel(16px);
        line-height: size-rel(20px);

        &:before {
            top: 18px
        }

        &__icon {
            width: 36px;
            height: 36px;
        }
    }
}

.support {
    padding: 40px;
    border-radius: 20px;
    border: 2px solid #F0F0F0;
    background-color: #F9F9F9;

    &__header {
        color: $black;
        font-weight: 700;
        font-size: size-rel(18px);
        line-height: size-rel(20px);
        margin-bottom: 30px;
        display: flex;
        align-items: center;

        &--icon {
            height: 20px;
            font-size: 0;
            line-height: 0;

            svg {
                fill: $blue;
            }
        }

        &--text {
            padding-left: 10px;
        }
    }

    &__user {
        margin-bottom: 20px;
        font-size: size-rel(14px);
        line-height: size-rel(21px);
        display: flex;
        align-items: center;

        &--image {
            width: 42px;
            height: 40px;
            overflow: hidden;
            border-radius: 50%;
        }

        &--text {
            padding-left: 20px;
        }

        &--name {
            font-weight: 600;
            font-size: size-rel(16px);
            line-height: size-rel(19px);
            margin-bottom: 7px;
        }
    }

    &__contact {

        &--header {
            font-weight: 600;
            font-size: size-rel(16px);
            line-height: size-rel(24px);
            margin-bottom: 10px;
            display: flex;
            align-items: center;
        }

        &--icon {
            height: 24px;
            font-size: 0;
            line-height: 0;

            svg {
                fill: $yellow;
            }
        }

        &--title {
            padding-left: 10px;
        }

        &--content {
            font-size: size-rel(14px);
            padding-left: 35px;

            a {
                color: $blue-light;

                &:hover {
                    color: $yellow;
                }
            }
        }
    }

    @include media-breakpoint-up(xl) {

        &__user {
            margin-bottom: 0;
        }

        &__content {
            display: flex;
            justify-content: space-between;
        }
    }
}


